Bug 5306 - broken resize on savage (Xv)
: broken resize on savage (Xv)
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/xorg-x11-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-11 14:09 by
Modified: 2005-10-31 22:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-11 14:09:56
При изменении разрешения дисплея через xrandr ломается вывод видео через xv. 

Эта ошшибка уже в bugzilla freedsktop и автор обещал через некоторое время все
исправить.

Просьба отследить исправление и пропатчить нашу сборку ;-)
https://freedesktop.org/bugzilla/show_bug.cgi?id=1564
------- Comment #1 From 2004-10-11 14:11:55 -------
Более новая информация - в ближайшее время в CVS'е xorg'а будет патч для
исправления этого безобразия. Просьба приложить к нашей сборке.
------- Comment #2 From 2004-10-11 14:24:32 -------
Здесь лежит патч.

http://freedesktop.org/cgi-bin/viewcvs.cgi/xc/programs/Xserver/hw/xfree86/drivers/savage/savage_video.c?root=xorg&r1=1.6&r2=1.7&diff_format=u

Просьба приложить.
------- Comment #3 From 2004-10-11 14:50:48 -------
fixed in alt7 
------- Comment #4 From 2004-10-14 11:06:35 -------
К сожалению - не помогло. БОлее того - появились тормоза в отрисовки 2D ;-(

И артефакты на экране ;-(
------- Comment #5 From 2004-10-14 12:16:22 -------
ждем alt8 
------- Comment #6 From 2004-10-18 11:57:49 -------
fixed in alt9 
------- Comment #7 From 2004-10-18 12:57:07 -------
опять мимо. как было плохо, так и осталось ;-(
------- Comment #8 From 2004-10-18 13:00:59 -------
а ты откуда alt9 брал и когда? 
------- Comment #9 From 2004-10-18 13:57:08 -------
alt9 не брал, брал alt8 ;-(
------- Comment #10 From 2005-02-21 11:52:58 -------
в 6.8.2-alt3 воспроизводится?
------- Comment #11 From 2005-06-13 16:16:58 -------
а в каком оно сейчас состоянии? и был ли в конфиге Load "extmod"? 
------- Comment #12 From 2005-06-14 12:04:19 -------
Сейчас не воспроизвелось.